Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable
Class DecoratingObservableCollection

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.DecoratingObservable
              org.eclipse.core.databinding.observable.DecoratingObservableCollection

All Implemented Interfaces:
  Iterable, Collection, IDecoratingObservable, IObservable, IObservableCollection

Direct Known Subclasses:
  DecoratingObservableList, DecoratingObservableSet

    public class DecoratingObservableCollection

extends DecoratingObservable
implements IObservableCollection

An observable collection which decorates another observable collection

Since:
  1.2

Constructor Summary
`DecoratingObservableCollection(IObservableCollection decorated, boolean disposeDecoratedOnDispose)`

Method Summary
`boolean` `add(Object o)`
`boolean` `addAll(Collection c)`
`protected void` `addListener(Object listenerType, IObservablesListener listener)`
`void` `clear()`
`protected Object` `clone()`
`boolean` `contains(Object o)`
`boolean` `containsAll(Collection c)`
`void` `dispose()` Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.
`boolean` `equals(Object obj)`
`protected void` `fireEvent(ObservableEvent event)`
`Object` `getElementType()` Returns the element type of this observable collection, or `null` if this observable collection is untyped.
`Realm` `getRealm()`
`int` `hashCode()`
`protected boolean` `hasListeners()`
`boolean` `isEmpty()`
`Iterator` `iterator()`
`boolean` `remove(Object o)`
`boolean` `removeAll(Collection c)`
`protected void` `removeListener(Object listenerType, IObservablesListener listener)`
`boolean` `retainAll(Collection c)`
`int` `size()`
`Object[]` `toArray()`
`Object[]` `toArray(Object[] a)`
`String` `toString()`

Methods inherited from class org.eclipse.core.databinding.observable.DecoratingObservable
`firstListenerAdded, getDecorated, getterCalled, handleStaleEvent, isStale, lastListenerRemoved`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireChange, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### DecoratingObservableCollection

    public DecoratingObservableCollection(IObservableCollection decorated,
                                          boolean disposeDecoratedOnDispose)

Parameters:
  `decorated` -
  `disposeDecoratedOnDispose` -

Method Detail

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Collection`

### getElementType

    public Object getElementType()

  Description copied from interface: `IObservableCollection`
  Returns the element type of this observable collection, or `null` if this observable collection is untyped.

  Specified by:
    `getElementType` in interface `IObservableCollection`
  Returns:
    the element type of this observable collection, or `null` if this observable collection is untyped.

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Collection`
  Overrides:
    `equals` in class `DecoratingObservable`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Overrides:
    `hashCode` in class `DecoratingObservable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### dispose

    public void dispose()

  Description copied from interface: `IObservable`
  Disposes of this observable object, removing all listeners registered with this object, and all listeners this object might have registered on other objects.

  Specified by:
    `dispose` in interface `IObservable`
  Overrides:
    `dispose` in class `DecoratingObservable`

### addListener

    protected void addListener(Object listenerType,
                               IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### removeListener

    protected void removeListener(Object listenerType,
                                  IObservablesListener listener)

  Parameters:
    `listenerType` -
    `listener` -

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent event)

### getRealm

    public Realm getRealm()

  Returns:
    Returns the realm.

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.